<template>
	<v-card-title class="d-flex align-center justify-end">
		<v-avatar :size="40">
			<v-img :src="require('~/assets/images/profile.jpg')"></v-img>
		</v-avatar>
		<span class="ms-3">John Cyrus Patungan </span>
		<v-menu offset-y>
			<template v-slot:activator="{ attrs, on }">
				<v-icon v-bind="attrs" v-on="on"> mdi-chevron-down</v-icon>
			</template>

			<v-list>
				<v-list-item @click="logout()" link>
					<v-list-item-title>Log out</v-list-item-title>
				</v-list-item>
			</v-list>
		</v-menu>
	</v-card-title>
</template>

<script>
export default {
	name: 'RightNavigationProfile',
	methods: {
		logout() {
			this.$swal
				.fire({
					title: 'Are you sure?',
					text: 'You are about to be logged out!',
					icon: 'warning',
					showCancelButton: true,
					confirmButtonColor: '#3085d6',
					cancelButtonColor: '#d33',
					confirmButtonText: 'Yes, Logged me out!',
				})
				.then(async (result) => {
					if (result.isConfirmed) {
						const swal = this.$swal.fire({
							title: 'Processing Your Request...',
							icon: 'warning',
							showCloseButton: false,
							showConfirmButton: false,
							showCancelButton: false,
							allowOutsideClick: false,
						});
						// Log out the user.
						await this.$store.dispatch('auth/logout');
						swal.close();
						this.$swal.fire('Logged Out!', 'Your session has been successfully destroyed.', 'success').then((v) => {
							if (v.isConfirmed) {
								// Redirect to login.
								this.$router.push({ name: 'login' });
							}
						});
					}
				});
		},
	},
};
</script>
